##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

global:
  scrape_interval: "{{ install_prometheus.scrape_interval }}" # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: "{{ install_prometheus.evaluation_interval }}" # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).
  external_labels:
    cluster: "{{ install_prometheus.clustername }}"
    instance: "{{ install_prometheus.instancename }}"

# Alertmanager configuration
alerting:
  alertmanagers:
    - static_configs:
        - targets:
          # - alertmanager:9093

# Load rules once and periodically evaluate them according to the global "evaluation_interval".
rule_files:
  # - "first_rules.yml"
  # - "second_rules.yml"

# A scrape configuration containing exactly one endpoint to scrape:
# Here it"s Prometheus itself.
scrape_configs:

#
# Local Job
#
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
  - job_name: "Local-Prometheus"
    scheme: "https"
    tls_config:
      ca_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_ca }}"
      cert_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_crt }}"
      key_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_key }}"
    basic_auth:
      username: "{{ install_prometheus.basic_auth_login }}"
      password: "{{ install_prometheus.basic_auth_password }}"
    # metrics_path defaults to "/metrics"
    # scheme defaults to "http".
    static_configs:
      - targets: ["{{ inventory_hostname }}:{{ install_prometheus.port }}"]

#
# Federation Job
#
{% if install_prometheus__federation.enabled | default(false) %}
  - job_name: "Cluster-Federate"
    scrape_interval: "{{ install_prometheus__federation.collector_interval }}"
    honor_labels: true
    metrics_path: "/federate"
    params:
      "match[]":
        - '{__name__=~".+"}'
    static_configs:
      - targets: 
{% for host in install_prometheus__federation.hosts %}
        - "{{ host }}"
{% endfor %}
    scheme: "https"
    tls_config:
      ca_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_ca }}"
      cert_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_crt }}"
      key_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_key }}"
    basic_auth:
      username: "{{ install_prometheus__federation.basic_auth_login }}"
      password: "{{ install_prometheus__federation.basic_auth_password }}"
{% endif %}

#
# Scrap Jobs
#
{% for job in inv__install_prometheus__jobs %}
  - job_name: "{{ job.name }}"
    honor_labels: true
    metrics_path: "/metrics"
    static_configs:
      - targets: 
{% for host in job.targets %}
        - "{{ host }}"
{% endfor %}
    scheme: "https"
    tls_config:
      ca_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_ca }}"
      cert_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_crt }}"
      key_file: "{{ install_prometheus.ssl_path }}/{{ install_prometheus.ssl_key }}"
    basic_auth:
      username: "{{ job.basic_auth_login }}"
      password: "{{ job.basic_auth_password }}"
  #
{% endfor %}
